package cn.newfeifan.mall.sale.service.shopstatus;

import javax.validation.*;
import cn.newfeifan.mall.sale.dal.dataobject.shopstatus.ShopStatusDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.sale.controller.admin.shopstatus.vo.ShopStatusPageReqVO;
import cn.newfeifan.mall.sale.controller.admin.shopstatus.vo.ShopStatusSaveReqVO;

/**
 * 店铺状态 Service 接口
 *
 * @author 非繁人
 */
public interface ShopStatusService {

    /**
     * 创建店铺状态
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShopStatus(@Valid ShopStatusSaveReqVO createReqVO);

    /**
     * 更新店铺状态
     *
     * @param updateReqVO 更新信息
     */
    void updateShopStatus(@Valid ShopStatusSaveReqVO updateReqVO);

    /**
     * 删除店铺状态
     *
     * @param id 编号
     */
    void deleteShopStatus(Long id);

    /**
     * 获得店铺状态
     *
     * @param id 编号
     * @return 店铺状态
     */
    ShopStatusDO getShopStatus(Long id);

    /**
     * 获得店铺状态分页
     *
     * @param pageReqVO 分页查询
     * @return 店铺状态分页
     */
    PageResult<ShopStatusDO> getShopStatusPage(ShopStatusPageReqVO pageReqVO);

}